Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.selector.common.iterator
Class AbstractRandomChangeIterator<S extends Move>

    java.lang.Object
      org.optaplanner.core.impl.heuristic.selector.common.iterator.SelectionIterator<S>
          org.optaplanner.core.impl.heuristic.selector.common.iterator.UpcomingSelectionIterator<S>
              org.optaplanner.core.impl.heuristic.selector.common.iterator.AbstractRandomChangeIterator<S>

All Implemented Interfaces:
  Iterator<S>

    public abstract class AbstractRandomChangeIterator<S extends Move>

extends UpcomingSelectionIterator<S>

Field Summary

Fields inherited from class org.optaplanner.core.impl.heuristic.selector.common.iterator.UpcomingSelectionIterator
`hasUpcomingSelection, upcomingCreated, upcomingSelection`

Constructor Summary
`AbstractRandomChangeIterator(EntitySelector entitySelector, ValueSelector valueSelector)`

Method Summary
`protected S` | `createUpcomingSelection()`
`protected abstract S` | `newChangeSelection(Object entity, Object toValue)`

Methods inherited from class org.optaplanner.core.impl.heuristic.selector.common.iterator.UpcomingSelectionIterator
`hasNext, next, noUpcomingSelection, toString`

Methods inherited from class org.optaplanner.core.impl.heuristic.selector.common.iterator.SelectionIterator
`remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractRandomChangeIterator

    public AbstractRandomChangeIterator(EntitySelector entitySelector,
                                        ValueSelector valueSelector)

Method Detail

### createUpcomingSelection

    protected S createUpcomingSelection()

  Specified by:
    `createUpcomingSelection` in class `UpcomingSelectionIterator<S extends Move>`

### newChangeSelection

    protected abstract S newChangeSelection(Object entity,
                                            Object toValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2015 JBoss by Red Hat. All Rights Reserved.